## mesa 20.3.4.2

=== meson_options.txt ===
# Copyright © 2017-2019 Intel Corporation

# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:

# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.

# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

option(
  'platforms',
  type : 'array',
  value : ['auto'],
  choices : [
    'auto', 'x11', 'wayland', 'haiku', 'android', 'windows',
  ],
  description : 'window systems to support. If this is set to `auto`, all platforms applicable will be enabled.'
)
option(
  'android-stub',
  type : 'boolean',
  value : false,
  description : 'Build against android-stub',
)

option(
  'dri3',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'disabled', 'enabled'],
  description : 'enable support for dri3'
)
option(
  'dri-drivers',
  type : 'array',
  value : ['auto'],
  choices : ['auto', 'i915', 'i965', 'r100', 'r200', 'nouveau', 'swrast'],
  description : 'List of dri drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
)
option(
  'dri-drivers-path',
  type : 'string',
  value : '',
  description : 'Location to install dri drivers. Default: $libdir/dri.'
)
option(
  'dri-search-path',
  type : 'string',
  value : '',
  description : 'Locations to search for dri drivers, passed as colon separated list. Default: dri-drivers-path.'
)
option(
  'gallium-drivers',
  type : 'array',
  value : ['auto'],
  choices : [
    'auto', 'kmsro', 'radeonsi', 'r300', 'r600', 'nouveau', 'freedreno',
    'swrast', 'v3d', 'vc4', 'etnaviv', 'tegra', 'i915', 'svga', 'virgl',
    'swr', 'panfrost', 'iris', 'lima', 'zink'
  ],
  description : 'List of gallium drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
)
option(
  'gallium-extra-hud',
  type : 'boolean',
  value : false,
  description : 'Enable HUD block/NIC I/O HUD status support',
)
option(
  'gallium-vdpau',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'enable gallium vdpau frontend.',
)
option(
  'vdpau-libs-path',
  type : 'string',
  value : '',
  description : 'path to put vdpau libraries. defaults to $libdir/vdpau.'
)
option(
  'gallium-xvmc',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'enable gallium xvmc frontend.',
)
option(
  'xvmc-libs-path',
  type : 'string',
  value : '',
  description : 'path to put xvmc libraries. defaults to $libdir.'
)
option(
  'gallium-omx',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'disabled', 'bellagio', 'tizonia'],
  description : 'enable gallium omx frontend.',
)
option(
  'omx-libs-path',
  type : 'string',
  value : '',
  description : 'path to put omx libraries. defaults to omx-bellagio pkg-config pluginsdir.'
)
option(
  'gallium-va',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'enable gallium va frontend.',
)
option(
  'va-libs-path',
  type : 'string',
  value : '',
  description : 'path to put va libraries. defaults to $libdir/dri.'
)
option(
  'gallium-xa',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'enable gallium xa frontend.',
)
option(
  'gallium-nine',
  type : 'boolean',
  value : false,
  description : 'build gallium "nine" Direct3D 9.x frontend.',
)
option(
  'gallium-opencl',
  type : 'combo',
  choices : ['icd', 'standalone', 'disabled'],
  value : 'disabled',
  description : 'build gallium "clover" OpenCL frontend.',
)
option(
  'opencl-spirv',
  type : 'boolean',
  value : false,
  description : 'build gallium "clover" OpenCL frontend with SPIR-V binary support.',
)
option(
  'static-libclc',
  type : 'array',
  value : [],
  choices : ['spirv', 'spirv64', 'all'],
  description : 'Link libclc SPIR-V statically.',
)
option(
  'd3d-drivers-path',
  type : 'string',
  value : '',
  description : 'Location of D3D drivers. Default: $libdir/d3d',
)
option(
  'vulkan-drivers',
  type : 'array',
  value : ['auto'],
  choices : ['auto', 'amd', 'broadcom', 'freedreno', 'intel', 'swrast'],
  description : 'List of vulkan drivers to build. If this is set to auto all drivers applicable to the target OS/architecture will be built'
)
option(
  'freedreno-kgsl',
  type : 'boolean',
  value : false,
  description : 'use kgsl backend for freedreno vulkan driver',
)
option(
  'shader-cache',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Build with on-disk shader cache support.',
)
option(
  'shader-cache-default',
  type : 'boolean',
  value : true,
  description : 'If set to false, the feature is only activated when environment variable MESA_GLSL_CACHE_DISABLE is set to false',
)
option(
  'vulkan-icd-dir',
  type : 'string',
  value : '',
  description : 'Location relative to prefix to put vulkan icds on install. Default: $datadir/vulkan/icd.d'
)
option(
  'vulkan-overlay-layer',
  type : 'boolean',
  value : false,
  description : 'Whether to build the vulkan overlay layer'
)
option(
  'vulkan-device-select-layer',
  type : 'boolean',
  value : false,
  description : 'Whether to build the vulkan device select layer'
)
option(
  'shared-glapi',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Whether to build a shared or static glapi. Defaults to false on Windows, true elsewhere'
)
option(
  'gles1',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Build support for OpenGL ES 1.x'
)
option(
  'gles2',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Build support for OpenGL ES 2.x and 3.x'
)
option(
  'opengl',
  type : 'boolean',
  value : true,
  description : 'Build support for OpenGL (all versions)'
)
option(
  'gbm',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Build support for gbm platform'
)
option(
  'glx',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'disabled', 'dri', 'xlib', 'gallium-xlib'],
  description : 'Build support for GLX platform'
)
option(
  'egl',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Build support for EGL platform'
)
option(
  'glvnd',
  type : 'boolean',
  value : false,
  description : 'Enable GLVND support.'
)
option(
   'glx-read-only-text',
   type : 'boolean',
   value : false,
   description : 'Disable writable .text section on x86 (decreases performance)'
)
option(
  'llvm',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Build with LLVM support.'
)
option(
  'shared-llvm',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Whether to link LLVM shared or statically.'
)
option(
  'valgrind',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Build with valgrind support'
)
option(
  'libunwind',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Use libunwind for stack-traces'
)
option(
  'lmsensors',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Enable HUD lmsensors support.'
)
option(
  'build-tests',
  type : 'boolean',
  value : false,
  description : 'Build unit tests. Currently this will build *all* unit tests except the ACO tests, which may build more than expected.'
)
option(
  'build-aco-tests',
  type : 'boolean',
  value : false,
  description : 'Build ACO tests. These require RADV and glslang but not an AMD GPU.'
)
option(
  'install-intel-gpu-tests',
  type : 'boolean',
  value : false,
  description : 'Build and install Intel unit tests which require the GPU.  This option is for developers and the Intel CI system only.'
)
option(
  'selinux',
  type : 'boolean',
  value : false,
  description : 'Build an SELinux-aware Mesa'
)
option(
  'osmesa',
  type : 'combo',
  value : 'none',
  choices : ['none', 'classic', 'gallium'],
  description : 'Build OSmesa.'
)
option(
  'osmesa-bits',
  type : 'combo',
  value : '8',
  choices : ['8', '16', '32'],
  description : 'Number of channel bits for OSMesa.'
)
option(
  'swr-arches',
  type : 'array',
  value : ['avx', 'avx2'],
  choices : ['avx', 'avx2', 'knl', 'skx'],
  description : 'Architectures to build SWR support for.',
)
option(
  'shared-swr',
  type : 'boolean',
  value : true,
  description : 'Whether to link SWR shared or statically.',
)

option(
  'tools',
  type : 'array',
  value : [],
  choices : ['drm-shim', 'etnaviv', 'freedreno', 'glsl', 'intel', 'intel-ui', 'nir', 'nouveau', 'xvmc', 'lima', 'panfrost', 'all'],
  description : 'List of tools to build. (Note: `intel-ui` selects `intel`)',
)
option(
  'power8',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Enable power8 optimizations.',
)
option(
  'xlib-lease',
  type : 'combo',
  value : 'auto',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  description : 'Enable VK_EXT_acquire_xlib_display.'
)
option(
  'glx-direct',
  type : 'boolean',
  value : true,
  description : 'Enable direct rendering in GLX and EGL for DRI',
)
option(
  'prefer-iris',
  type : 'boolean',
  value : true,
  description : 'Prefer new Intel iris driver over older i965 driver'
)
option('egl-lib-suffix',
  type : 'string',
  value : '',
  description : 'Suffix to append to EGL library name.  Default: none.'
)
option(
  'gles-lib-suffix',
  type : 'string',
  value : '',
  description : 'Suffix to append to GLES library names.  Default: none.'
)
option(
  'platform-sdk-version',
  type : 'integer',
  min : 25,
  max : 28,
  value : 25,
  description : 'Android Platform SDK version. Default: Nougat version.'
)
option(
  'zstd',
  type : 'combo',
  choices : ['auto', 'true', 'false', 'enabled', 'disabled'],
  value : 'auto',
  description : 'Use ZSTD instead of ZLIB in some cases.'
)

=== debian/changelog ===
mesa (20.3.4.2-1) unstable; urgency=medium

  * update

 -- Debian X Strike Force <debian-x@lists.debian.org>  Mon, 01 Nov 2021 19:59:30 +0800

mesa (20.3.4.1-1) unstable; urgency=medium

  [ shuaijie ]
  * new feature  2k video hardware decoder for GPU CHIP_OLAND
  *modify the GPU OLAND para limit and update the hardware decoder function  up to 2K.mpv play 2k video file  hwdec fail  before , so redefine the  capability  parameter,  up to  2560*1440.
 -- shuaijie <shuaijie@uniontech.com>  Fri, 27 AUg 2021 18:06:42 +0800

mesa (20.3.4-1) unstable; urgency=medium

  [ Keith Packard ]
  * Build most drivers for riscv64 targets

  [ Timo Aaltonen ]
  * New upstream release.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch: Dropped,
    upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 31 Jan 2021 20:26:42 +0200

mesa (20.3.3-1) unstable; urgency=medium

  * New upstream release.
  * path_max.diff: Updated.
  * lavapipe-Defer-lavapipe-warning-to-CreateDevice.patch:
    Don't print a warning which might confuse users to think they're on
    swrast vulkan.
  * rules: Use 'enabled' instead of 'true' for DRI3.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Jan 2021 15:16:30 +0200

mesa (20.3.2-1) unstable; urgency=medium

  * New upstream release.
  * rules: Enable lavapipe (vulkan swrast) where llvm and vulkan is
    enabled.

 -- Timo Aaltonen <tjaalton@debian.org>  Sun, 03 Jan 2021 20:30:50 +0200

mesa (20.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 18 Dec 2020 10:23:30 +0200

mesa (20.3.0-2) experimental; urgency=medium

  * rules: Fix the name of the broadcom vulkan driver.
  * control, rules: Drop llvm support from kfreebsd, as llvm isn't built
    there.
  * rules: Enable gallium swrast (softpipe) and OSMesa everywhere, as
    they're not actually tied to llvm being available.
  * rules: Move common settings for !hurd to the top.
  * rules: Use a better method to build the arrays of drivers, thanks
    Witold Baryluk! (Closes: #972736)
  * rules: Clarify the status of wayland support on non-linux ports.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 10 Dec 2020 14:21:30 +0200

mesa (20.3.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Enable v3dv on armhf/arm64, and zink where vulkan is
    available. (Closes: #975679)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Dec 2020 16:39:42 +0200

mesa (20.3.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 20 Nov 2020 17:00:27 +0200

mesa (20.3.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * control: Add libxcb-shm0-dev to build-depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 11 Nov 2020 18:29:42 +0200

mesa (20.2.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Dec 2020 06:42:32 +0200

mesa (20.2.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 16 Dec 2020 23:32:56 +0200

mesa (20.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Dec 2020 15:11:48 +0200

mesa (20.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Nov 2020 13:32:39 +0200

mesa (20.2.2-1) unstable; urgency=medium

  * New upstream release.
  * control: Enable libdrm-dev for Hurd. (Closes: #973673)
  * rules: Rework EGL_PLATFORMS to match current upstream defaults.
  * rules: Fix warnings from deprecated options. (Closes: #973675)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Nov 2020 22:38:16 +0200

mesa (20.2.1-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 15 Oct 2020 12:38:36 +0300

mesa (20.2.0-1) experimental; urgency=medium

  * New upstream release.
  * control: Add libclang-cpp11-dev to build-depends. (Closes: #954849)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 29 Sep 2020 11:07:13 +0300

mesa (20.2.0~rc4-2) experimental; urgency=medium

  * Migrate to llvm/clang-11.
  * path_max.diff: Updated. (Closes: #969040)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 12:07:08 +0300

mesa (20.2.0~rc4-1) experimental; urgency=medium

  * New upstream prerelease.
  * rules: Move radv rule up to fix build on non-intel archs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2020 19:32:58 +0300

mesa (20.2.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * rules: Get rid of trailing commas in *_DRIVERS options.
  * control: Bump libglvnd build-dep.
  * Update mesa-common-dev.docs.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 14 Aug 2020 18:30:42 +0300

mesa (20.1.9-1) unstable; urgency=medium

  * New upstream release.
  * control: Add libclang-cpp11-dev to build-depends. (Closes: #954849)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Oct 2020 10:12:00 +0300

mesa (20.1.8-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 17 Sep 2020 11:23:02 +0300

mesa (20.1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Sep 2020 14:45:01 +0300

mesa (20.1.6-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 27 Aug 2020 21:08:41 +0300

mesa (20.1.5-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 Aug 2020 10:32:11 +0300

mesa (20.1.4-1) unstable; urgency=medium

  * New upstream release.
  * fix-ppc64el.patch: Dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 28 Jul 2020 15:59:19 +0300

mesa (20.1.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #963677)
  * mesa-vulkan-drivers: Add support for device-select-layer.
  * control, rules: Enable valgrind where supported. (Closes: #890846)



=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Andreas Boll <aboll@debian.org>
Standards-Version: 4.1.4
Build-Depends:
 debhelper-compat (= 12),
 glslang-tools [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 meson (>= 0.45),
 quilt (>= 0.63-8.2~),
 pkg-config,
 libdrm-dev (>= 2.4.101),
 libx11-dev,
 libxxf86vm-dev,
 libexpat1-dev,
 libsensors-dev [!hurd-any],
 libxfixes-dev,
 libxdamage-dev,
 libxext-dev,
 libva-dev (>= 1.6.0) [linux-any kfreebsd-any] <!pkg.mesa.nolibva>,
 libvdpau-dev (>= 1.1.1) [linux-any kfreebsd-any],
 libvulkan-dev [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 x11proto-dev,
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev (>= 1.8),
 libxcb-glx0-dev (>= 1.8.1),
 libxcb-xfixes0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-shm0-dev,
 libxcb-sync-dev,
 libxrandr-dev,
 libxshmfence-dev (>= 1.1),
 libzstd-dev,
 python3,
 python3-mako,
 python3-setuptools,
 flex,
 bison,
 libelf-dev [amd64 arm64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64],
 libwayland-dev (>= 1.15.0) [linux-any],
 libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
 llvm-11-dev (>= 1:11.0.0~) [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64],
 libclang-11-dev (>= 1:11.0.0~) [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64],
 libclang-cpp11-dev (>= 1:11.0.0~) [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64],
 libclc-dev (>= 0.2.0+git20190827-7~) [amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64],
 wayland-protocols (>= 1.9),
 zlib1g-dev,
 libglvnd-dev (>= 1.3.2),
 valgrind [amd64 arm64 armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x],
Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
Homepage: https://mesa3d.org/

Package: libxatracker2
Section: libs
Architecture: amd64 i386 x32
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.

Package: libxatracker-dev
Section: libdevel
Architecture: amd64 i386 x32
Depends:
 libxatracker2 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.

Package: libd3dadapter9-mesa
Section: libs
Architecture: amd64 arm64 armel armhf i386 powerpc
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libudev1 [linux-any],
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.

Package: libd3dadapter9-mesa-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386 powerpc
Depends:
 libd3dadapter9-mesa (= ${binary:Version}),
 libudev1 [linux-any],
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9 -- development files
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.
 .
 Development files

Package: libgbm1
Section: libs
Architecture: linux-any kfreebsd-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Depends:
 libgbm1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgbm1 (= ${binary:Version}) [!hurd-any],
Provides: libegl-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- Mesa vendor library
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the Mesa vendor library for EGL.

Package: libegl1-mesa
Section: oldlibs
Architecture: any
Depends:
 libegl1,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: any
Depends:
 libegl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libwayland-egl1-mesa
Section: oldlibs
Architecture: linux-any
Depends:
 ${misc:Depends},
 libegl1,
 libwayland-egl1,
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libgles2-mesa
Section: oldlibs
Architecture: any
Depends:
 libgles2,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libgles2-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgles-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libglapi-mesa
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the GL API -- shared library
 The Mesa GL API module is responsible for dispatching all the gl*
 functions. It is intended to be mainly used by both the libgles1-mesa
 and libgles2-mesa packages.

Package: libglx-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dri,
Provides: libglx-vendor
Breaks:
 libopengl-perl (<< 0.6704+dfsg-2),
 glx-diversions (<< 0.8.4~),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- GLX vendor library
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the authors make no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.

Package: libgl1-mesa-glx
Section: oldlibs
Architecture: any
Depends:
 libgl1,
 libglx-mesa0,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libgl1-mesa-dri
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libglx-mesa0 package.

Package: libgl1-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: mesa-common-dev
Section: libdevel
Architecture: any
Depends:
 libgl-dev,
 libglx-dev,
 libx11-dev,
 libdrm-dev (>= 2.4.95) [!hurd-any],
 ${misc:Depends},
Breaks: libegl1-mesa-dev (<< 18.2.5-2)
Replaces: libegl1-mesa-dev (<< 18.2.5-2)
Multi-Arch: same
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: libosmesa6
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa Off-screen rendering extension
 OSmesa is a Mesa extension that allows programs to render to an
 off-screen buffer using the OpenGL API without having to create a
 rendering context on an X Server.  It uses a pure software renderer.
 .
 This package provides both 16-bit and 32-bit versions of the off-screen
 renderer which do not require external libraries to work.

Package: libosmesa6-dev
Section: libdevel
Architecture: any
Depends:
 libosmesa6 (= ${binary:Version}),
 mesa-common-dev (= ${binary:Version}) | libgl-dev,
 ${misc:Depends},
Conflicts: libosmesa-dev
Replaces: libosmesa-dev
Provides: libosmesa-dev
Multi-Arch: same
Description: Mesa Off-screen rendering extension -- development files
 This package provides the required environment for developing programs
 that use the off-screen rendering extension of Mesa.
 .
 For more information on OSmesa see the libosmesa6 package.

Package: mesa-va-drivers
Section: libs
Architecture: linux-any kfreebsd-any
Build-Profiles: <!pkg.mesa.nolibva>
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libva2,
Provides:
 va-driver,
Breaks: vdpau-va-driver (<< 0.7.4-5)
Replaces: vdpau-va-driver (<< 0.7.4-5)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VA-API video acceleration drivers
 These libraries provide the Video Acceleration API (VA-API) for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VA-API for some gallium drivers.

Package: mesa-vdpau-drivers
Section: libs

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# for finding the correct llvm-config when meson doesn't know about it yet
export PATH:=/usr/lib/llvm-11/bin/:$(PATH)

ifeq (,$(filter $(DEB_HOST_ARCH), armhf sh3 sh4))
buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND=-Wall DEB_CXXFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=configure)
else
  ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
  # Workaround for a variant of LP: #725126
  buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" DEB_CXXFLAGS_MAINT_APPEND="-Wall -fno-optimize-sibling-calls" dpkg-buildflags --export=configure)
  else
  # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
  buildflags = \
	$(shell DEB_CFLAGS_MAINT_APPEND="-Wall -O1" DEB_CXXFLAGS_MAINT_APPEND="-Wall -O1" dpkg-buildflags --export=configure)
  endif
endif

DRI_DRIVERS =
EGL_PLATFORMS = x11
GALLIUM_DRIVERS = swrast
VULKAN_DRIVERS =

confflags_DRI3 = -Ddri3=disabled
confflags_OSMESA =  -Dosmesa=gallium

# hurd doesn't do direct rendering
ifeq ($(DEB_HOST_ARCH_OS), hurd)
	confflags_DIRECT_RENDERING = -Dglx-direct=false
	confflags_GBM = -Dgbm=disabled
else
	DRI_DRIVERS += r100 r200
	GALLIUM_DRIVERS += r300 r600

	confflags_DIRECT_RENDERING = -Dglx-direct=true
	confflags_GBM = -Dgbm=enabled
	confflags_GALLIUM += -Dgallium-extra-hud=true
	confflags_GALLIUM += -Dgallium-vdpau=enabled
	confflags_GALLIUM += -Dlmsensors=enabled

  # radv/lavapipe needs LLVM and the Vulkan loader, so only build on the subset of
  # arches where we have LLVM enabled and where the Vulkan loader is built.
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64))
	VULKAN_DRIVERS += amd swrast
  endif

  ifeq ($(DEB_HOST_ARCH_OS), linux)
	confflags_DRI3 = -Ddri3=enabled
	DRI_DRIVERS += nouveau
	# Gallium drivers which require kernel support, not yet ported to non-Linux
	GALLIUM_DRIVERS += nouveau virgl

	# Freedreno requires arm in addition
	ifneq (,$(filter arm arm64,$(DEB_HOST_ARCH_CPU)))
		GALLIUM_DRIVERS += freedreno
	endif

	# etnaviv, kmsro, tegra, vc4 and v3d kernel support are only available on armhf and arm64
	ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
		GALLIUM_DRIVERS += etnaviv kmsro lima panfrost tegra vc4 v3d
		VULKAN_DRIVERS += broadcom
	endif

	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
		GALLIUM_DRIVERS += svga
		# svga needs xa state tracker
		confflags_GALLIUM += -Dgallium-xa=enabled
		VULKAN_DRIVERS += intel
	endif

	# Non-Linux ports lack epoll, so wayland isn't ready yet:
	# https://gitlab.freedesktop.org/wayland/wayland/-/issues/72
	# hurd also lacks *_CLOEXEC
	EGL_PLATFORMS += ,wayland

	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armhf i386 mips64el mipsel powerpc ppc64 ppc64el s390x))
		confflags_VALGRIND += -Dvalgrind=enabled
	endif
  endif

  # Build intel drivers on archs where libdrm-intel is installed
  ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32))
	DRI_DRIVERS += i915 i965
	GALLIUM_DRIVERS += iris
  endif

  # LLVM is required for building r300g, radeonsi and llvmpipe drivers.
  # It's also required for building OpenCL support.
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64))
	GALLIUM_DRIVERS += radeonsi
	confflags_GALLIUM += -Dllvm=enabled
	confflags_GALLIUM += -Dgallium-opencl=icd

	# nine makes sense only on archs that build wine
	ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 powerpc))
		confflags_GALLIUM += -Dgallium-nine=true
	endif
  else
	confflags_GALLIUM += -Dllvm=disabled
  endif

  # build vulkan layers where Vulkan loader is available
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf i386 mips64el mipsel powerpc ppc64 ppc64el riscv64 s390x sparc64 x32))
	GALLIUM_DRIVERS += zink
	confflags_VULKAN += -Dvulkan-device-select-layer=true
	confflags_VULKAN += -Dvulkan-overlay-layer=true
  endif

  ifeq (,$(filter pkg.mesa.nolibva,$(DEB_BUILD_PROFILES)))
	confflags_GALLIUM += -Dgallium-va=enabled
  endif
endif


empty:=
space := $(empty) $(empty)
comma := ,
DRI_DRIVERS := $(patsubst %,'%',$(DRI_DRIVERS))
DRI_DRIVERS_LIST := $(subst $(space),$(comma),$(DRI_DRIVERS))
GALLIUM_DRIVERS := $(patsubst %,'%',$(GALLIUM_DRIVERS))
GALLIUM_DRIVERS_LIST := $(subst $(space),$(comma),$(GALLIUM_DRIVERS))
VULKAN_DRIVERS := $(patsubst %,'%',$(VULKAN_DRIVERS))
VULKAN_DRIVERS_LIST := $(subst $(space),$(comma),$(VULKAN_DRIVERS))

confflags_EGL = -Dplatforms="$(EGL_PLATFORMS)"
confflags_GLES = -Dgles1=disabled -Dgles2=enabled
confflags_GALLIUM += -Dgallium-drivers="[$(GALLIUM_DRIVERS_LIST)]"

confflags += \
	-Ddri-drivers="[$(DRI_DRIVERS_LIST)]" \
	-Ddri-drivers-path=/usr/lib/$(DEB_HOST_MULTIARCH)/dri \
	-Ddri-search-path='/usr/lib/$(DEB_HOST_MULTIARCH)/dri:\$$$${ORIGIN}/dri:/usr/lib/dri' \
	-Dvulkan-drivers="[$(VULKAN_DRIVERS_LIST)]" \
	-Dglvnd=true \
	-Dshared-glapi=enabled \
	-Dgallium-xvmc=disabled \
	-Dgallium-omx=disabled \
	-Db_ndebug=true \
	-Dbuild-tests=true \
	$(confflags_DIRECT_RENDERING) \
	$(confflags_GBM) \
	$(confflags_DRI3) \
	$(confflags_EGL) \
	$(confflags_GALLIUM) \
	$(confflags_GLES) \
	$(confflags_OSMESA) \
	$(confflags_VALGRIND) \
	$(confflags_VULKAN)

override_dh_clean:
	rm -rf .pc
	rm -rf build
	rm -rf configure bin/config.guess bin/config.sub config.h.in
	rm -rf $$(find -name Makefile.in)
	rm -rf bin/install-sh bin/ltmain.sh
	for file in debian/*.in; do rm -f $${file%%.in}; done
	rm -rf src/amd/compiler/__pycache__/ src/amd/registers/__pycache__
	rm -rf src/amd/vulkan/*.pyc src/amd/vulkan/__pycache__/
	rm -rf src/compiler/nir/*.pyc src/compiler/nir/__pycache__/
	rm -rf src/egl/generate/*.pyc src/egl/generate/__pycache__/
	rm -rf src/gallium/auxiliary/util/*.pyc src/gallium/auxiliary/util/__pycache__/
	rm -rf src/intel/vulkan/*.pyc src/intel/vulkan/__pycache__/
	rm -rf src/mapi/glapi/gen/*.pyc src/mapi/glapi/gen/__pycache__/ src/mapi/new/__pycache__/
	rm -rf src/mesa/main/*.pyc src/mesa/main/__pycache__/
	dh_clean

override_dh_auto_configure:
	$(buildflags) dh_auto_configure -- \
		$(confflags)

override_dh_auto_install:
	dh_auto_install
	for file in debian/*.in; \
	do \
		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
			$${file} > $${file%%.in}; \
	done

# some tests are expected to fail for now, drop this when upstream has
# better cross-build testing in place and expected failures fixed
override_dh_auto_test:
	-dh_auto_test

allpkg = $(shell dh_listpackages -a)

override_dh_installchangelogs:
	dh_installchangelogs -a
	dh_installchangelogs -pmesa-common-dev

override_dh_install:
	# purge .la files
	find debian/tmp/ -name '*.la' -exec rm '{}' ';'

	# Get rid of some files which aren't installed. Do not
	# use -f to ensure we notice disappearing files:
	rm debian/tmp/usr/lib/*/libglapi.so
	rm debian/tmp/usr/lib/*/libEGL_mesa.so
	rm debian/tmp/usr/lib/*/libGLX_mesa.so

	# Copy the hardlinked *_dri.so correctly.
	install -m755 -d debian/libgl1-mesa-dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/
	mv debian/tmp/usr/lib/${DEB_HOST_MULTIARCH}/dri/*_dri.so \
	   debian/libgl1-mesa-dri/usr/lib/${DEB_HOST_MULTIARCH}/dri/

  # Remove vulkan headers only where they get installed in tmp
  # We ship those headers via src:vulkan / libvulkan-dev
  ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 x32))
	rm debian/tmp/usr/include/vulkan/vulkan_intel.h
	rmdir debian/tmp/usr/include/vulkan
  endif

  ifneq ($(DEB_HOST_ARCH_OS), hurd)
	# Copy the hardlinked vdpau drivers correctly.

## mesa 20.3.5

=== src/freedreno/afuc/Makefile ===
# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 3.17

# Default target executed when no arguments are given to make.
default_target: all

.PHONY : default_target

# Allow only one "make -f Makefile2" at a time, but pass parallelism.
.NOTPARALLEL:


#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:


# Disable VCS-based implicit rules.
% : %,v


# Disable VCS-based implicit rules.
% : RCS/%


# Disable VCS-based implicit rules.
% : RCS/%,v


# Disable VCS-based implicit rules.
% : SCCS/s.%


# Disable VCS-based implicit rules.
% : s.%


.SUFFIXES: .hpux_make_needs_suffix_list


# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

# Suppress display of executed commands.
$(VERBOSE).SILENT:


# A target that is always out of date.
cmake_force:

.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/robclark/src/envytools

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/robclark/src/envytools

#=============================================================================
# Targets provided globally by CMake.

# Special rule for the target install/strip
install/strip: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip

# Special rule for the target install/strip
install/strip/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing the project stripped..."
	/usr/bin/cmake -DCMAKE_INSTALL_DO_STRIP=1 -P cmake_install.cmake
.PHONY : install/strip/fast

# Special rule for the target install/local
install/local: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local

# Special rule for the target install/local
install/local/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Installing only the local directory..."
	/usr/bin/cmake -DCMAKE_INSTALL_LOCAL_ONLY=1 -P cmake_install.cmake
.PHONY : install/local/fast

# Special rule for the target edit_cache
edit_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake cache editor..."
	/usr/bin/ccmake -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : edit_cache

# Special rule for the target edit_cache
edit_cache/fast: edit_cache

.PHONY : edit_cache/fast

# Special rule for the target test
test:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running tests..."
	/usr/bin/ctest --force-new-ctest-process $(ARGS)
.PHONY : test

# Special rule for the target test
test/fast: test

.PHONY : test/fast

# Special rule for the target install
install: preinstall
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install

# Special rule for the target install
install/fast: preinstall/fast
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Install the project..."
	/usr/bin/cmake -P cmake_install.cmake
.PHONY : install/fast

# Special rule for the target list_install_components
list_install_components:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Available install components are: \"Unspecified\""
.PHONY : list_install_components

# Special rule for the target list_install_components
list_install_components/fast: list_install_components

.PHONY : list_install_components/fast

# Special rule for the target rebuild_cache
rebuild_cache:
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --cyan "Running CMake to regenerate build system..."
	/usr/bin/cmake --regenerate-during-build -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR)
.PHONY : rebuild_cache

# Special rule for the target rebuild_cache
rebuild_cache/fast: rebuild_cache

.PHONY : rebuild_cache/fast

# The main all target
all: cmake_check_build_system
	cd /home/robclark/src/envytools && $(CMAKE_COMMAND) -E cmake_progress_start /home/robclark/src/envytools/CMakeFiles /home/robclark/src/envytools/afuc/CMakeFiles/progress.marks
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 afuc/all
	$(CMAKE_COMMAND) -E cmake_progress_start /home/robclark/src/envytools/CMakeFiles 0
.PHONY : all

# The main clean target
clean:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 afuc/clean
.PHONY : clean

# The main clean target
clean/fast: clean

.PHONY : clean/fast

# Prepare targets for installation.
preinstall: all
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 afuc/preinstall
.PHONY : preinstall

# Prepare targets for installation.
preinstall/fast:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 afuc/preinstall
.PHONY : preinstall/fast

# clear depends
depend:
	cd /home/robclark/src/envytools && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 1
.PHONY : depend

# Convenience name for target.
afuc/CMakeFiles/asm.dir/rule:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 afuc/CMakeFiles/asm.dir/rule
.PHONY : afuc/CMakeFiles/asm.dir/rule

# Convenience name for target.
asm: afuc/CMakeFiles/asm.dir/rule

.PHONY : asm

# fast build rule for target.
asm/fast:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/build
.PHONY : asm/fast

# Convenience name for target.
afuc/CMakeFiles/disasm.dir/rule:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f CMakeFiles/Makefile2 afuc/CMakeFiles/disasm.dir/rule
.PHONY : afuc/CMakeFiles/disasm.dir/rule

# Convenience name for target.
disasm: afuc/CMakeFiles/disasm.dir/rule

.PHONY : disasm

# fast build rule for target.
disasm/fast:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/disasm.dir/build.make afuc/CMakeFiles/disasm.dir/build
.PHONY : disasm/fast

asm.o: asm.c.o

.PHONY : asm.o

# target to build an object file
asm.c.o:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/asm.c.o
.PHONY : asm.c.o

asm.i: asm.c.i

.PHONY : asm.i

# target to preprocess a source file
asm.c.i:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/asm.c.i
.PHONY : asm.c.i

asm.s: asm.c.s

.PHONY : asm.s

# target to generate assembly for a file
asm.c.s:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/asm.c.s
.PHONY : asm.c.s

disasm.o: disasm.c.o

.PHONY : disasm.o

# target to build an object file
disasm.c.o:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/disasm.dir/build.make afuc/CMakeFiles/disasm.dir/disasm.c.o
.PHONY : disasm.c.o

disasm.i: disasm.c.i

.PHONY : disasm.i

# target to preprocess a source file
disasm.c.i:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/disasm.dir/build.make afuc/CMakeFiles/disasm.dir/disasm.c.i
.PHONY : disasm.c.i

disasm.s: disasm.c.s

.PHONY : disasm.s

# target to generate assembly for a file
disasm.c.s:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/disasm.dir/build.make afuc/CMakeFiles/disasm.dir/disasm.c.s
.PHONY : disasm.c.s

lexer.o: lexer.c.o

.PHONY : lexer.o

# target to build an object file
lexer.c.o:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/lexer.c.o
.PHONY : lexer.c.o

lexer.i: lexer.c.i

.PHONY : lexer.i

# target to preprocess a source file
lexer.c.i:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/lexer.c.i
.PHONY : lexer.c.i

lexer.s: lexer.c.s

.PHONY : lexer.s

# target to generate assembly for a file
lexer.c.s:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/lexer.c.s
.PHONY : lexer.c.s

parser.o: parser.c.o

.PHONY : parser.o

# target to build an object file
parser.c.o:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/parser.c.o
.PHONY : parser.c.o

parser.i: parser.c.i

.PHONY : parser.i

# target to preprocess a source file
parser.c.i:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/parser.c.i
.PHONY : parser.c.i

parser.s: parser.c.s

.PHONY : parser.s

# target to generate assembly for a file
parser.c.s:
	cd /home/robclark/src/envytools && $(MAKE) $(MAKESILENT) -f afuc/CMakeFiles/asm.dir/build.make afuc/CMakeFiles/asm.dir/parser.c.s
.PHONY : parser.c.s

# Help Target
help:
	@echo "The following are some of the valid targets for this Makefile:"
	@echo "... all (the default if no target is provided)"
	@echo "... clean"
	@echo "... depend"
	@echo "... edit_cache"
	@echo "... install"
	@echo "... install/local"
	@echo "... install/strip"
	@echo "... list_install_components"
	@echo "... rebuild_cache"
	@echo "... test"
	@echo "... asm"
	@echo "... disasm"
	@echo "... asm.o"
	@echo "... asm.i"
	@echo "... asm.s"
	@echo "... disasm.o"
	@echo "... disasm.i"
	@echo "... disasm.s"
	@echo "... lexer.o"
	@echo "... lexer.i"
	@echo "... lexer.s"
	@echo "... parser.o"
	@echo "... parser.i"
	@echo "... parser.s"
.PHONY : help



#=============================================================================
# Special targets to cleanup operation of make.

# Special rule to run CMake to check the build system integrity.
# No rule that depends on this can have commands that come from listfiles
# because they might be regenerated.
cmake_check_build_system:
	cd /home/robclark/src/envytools && $(CMAKE_COMMAND) -S$(CMAKE_SOURCE_DIR) -B$(CMAKE_BINARY_DIR) --check-build-system CMakeFiles/Makefile.cmake 0
.PHONY : cmake_check_build_system
